QGIS Application - Bug report #998

scale and extents indicators set incorrectly on project load

2008-03-18 04:51 PM - Steven Mizuno

Status: Closed

Priority: Low

Assignee: nobody -

Category: Project Loading/Saving

Affected QGIS version:
Operating System: All

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 11058

Description

The scale and extents shown after loading a project are the results of the first layer loaded rather than after the project's saved view

extents are applied.

| used r8242 to test the following steps, but the problem exists at least back to 0.9.1.

This worked properly in 0.8.1.

Steps to show the problem:

1. start QGIS

2. set project Projection

3. add a layer

4. note the scale and extents in the status bar (this is extent of layer and scale as displayed on loading the layer)

5. zoom in or out (mouse wheel zoom is convenient) so the view is different from initial layer adding

6. note the scale and extents

7. save the Project

8. load the project saved in step 7

9. the scale and extents are what was noted in step 4. The expected values are what was noted in step 6.

10. zoom in or out; now the scale and extents are correct for the current zoom

| believe the cursor position indicator is also affected, but this is hard to demonstrate.

History

#1 - 2008-12-11 05:37 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

scale display fixed in . The cursor position and extent seem ok AFAICS.
#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
